#include <stdio.h>
#include <stdlib.h>
#include <gtk/gtk.h>
#include <glib/gprintf.h>

#include "global.h"
#include "gtkled.h"


gboolean	on_MainWindow_delete_event (GtkWidget *widget, GdkEvent *event, gpointer user_data);
gboolean	on_MainWindow_destroy_event (GtkWidget *widget, GdkEvent *event, gpointer user_data);
void 		on_hbox1_realize (GtkWidget *widget, gpointer user_data);


GtkBuilder	*GtkBuilderMain = NULL;

void quitter (void)
{
	gtk_main_quit();
}
gboolean on_MainWindow_delete_event (GtkWidget *widget, GdkEvent *event, gpointer user_data)
{
	quitter ();
	return (FALSE);
}
gboolean on_MainWindow_destroy_event (GtkWidget *widget, GdkEvent *event, gpointer user_data)
{
	quitter ();
	return (FALSE);
}

void on_MainWindow_realize (GtkWidget *win, gpointer user_data)
{
	// GtkWidget * btn;
	GtkWidget * led;
	GtkWidget * hbox;

PRINT("");

	hbox = gtk_hbox_new (0, FALSE);
	gtk_container_set_border_width (GTK_CONTAINER (hbox), 5);
	gtk_container_add (GTK_CONTAINER (win), hbox);
	// btn = gtk_button_new_with_label ("Switch led state");
	// gtk_box_pack_start (GTK_BOX (hbox), btn, TRUE, TRUE, 0);

	led = gtk_led_new ("led_on.png", "led_off.png", TRUE);

	if (led == NULL) {
		g_printf ("Impossible de creer le widget GtkLed !\n");
	} else {
		gtk_box_pack_start (GTK_BOX (hbox), led, TRUE, TRUE, 0);
	}
	gtk_widget_show_all (GTK_WIDGET (hbox));
}


int main (int argc, char ** argv)
{
	GError	*p_err = NULL;
	gchar *Path = NULL;
	
PRINT("");
	Path = g_strdup_printf ("%s/gtkled.ui", g_get_current_dir ());
	g_print("\tPath filename *.ui = %s\n\n", Path);
	
	gtk_init (& argc, & argv);

	GtkBuilderMain = gtk_builder_new ();
	if (gtk_builder_add_from_file (GtkBuilderMain, Path, &p_err) <= 0) {
		g_print("EROR LOAD XML\n");
	}
	g_free (Path);
	Path = NULL;

	gtk_builder_connect_signals (GtkBuilderMain, NULL);
	gtk_widget_show_all (GTK_WIDGET (gtk_builder_get_object (GtkBuilderMain, "MainWindow")));
	gtk_main ();

	return EXIT_SUCCESS;
}
